<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <!-- To auto-complete the email text field in the login form with the user's emails -->
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_PROFILE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <permission
        android:name="com.example.administrator.zhapp.permission.MIPUSH_RECEIVE"
        android:protectionLevel="signature" />
    <!-- 这里com.xiaomi.mipushdemo改成app的包名 -->
    <uses-permission android:name="com.example.administrator.zhapp.permission.MIPUSH_RECEIVE" />
    <!-- 这里com.xiaomi.mipushdemo改成app的包名 -->

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature
        android:name="android.hardware.nfc"
        android:required="true" />
    <permission-group android:name="${applicationId}.andpermission"/>

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/logo1"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true"
        android:screenOrientation="portrait"
        android:theme="@style/AppTheme">


        <activity
            android:name=".activity.SplashActivity"
            android:theme="@style/SplashTheme" />


        <activity
            android:name=".activity.LoginActivity"
            android:exported="true"
            android:windowSoftInputMode="stateHidden|adjustPan">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".activity.MainActivity" >

        </activity>
        <activity android:name=".activity.ydckgl.YdckglActivity" />
        <activity
            android:name=".activity.ydckgl.ShelvesShift"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.MateLablePrint"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.MaterialIssue"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.TlrkActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.KcpdActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.TmdyActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ydckgl.SjtjfxActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.ajhxcgl.AxwaqgcglDetaliActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.sbxdjgl.ScjsjActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.sbxdjgl.SqdActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.xfbwxcgl.XmhqcDetaliActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.xfbwxcgl.XXfsDetaliActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity
            android:name=".activity.xfbwxcgl.XfhmAqckdDetaliActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity android:name=".activity.MipcaActivityCapture" />
        <activity android:name=".activity.ydckgl.Kcpd2Activity" />
        <activity
            android:name=".activity.ajhxcgl.AjhAndSbjdActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity android:name=".activity.sbxdjgl.SbxdjglActivity" />
        <activity android:name=".activity.xfbwxcgl.XfbwxcglActivity" />
        <activity android:name=".activity.ZdyxcglActivity" />

        <activity android:name=".activity.sbxdjgl.XwangcMainActivity"/>
        <activity android:name=".activity.sbxdjgl.HmShLbActivity"/>
        <activity android:name=".activity.sbxdjgl.HmShLbinfoActivity"
                  android:windowSoftInputMode="adjustResize|stateHidden"
            />

        <activity android:name=".activity.dqgzgl.dqgzglActivity"/>

        <activity
            android:name=".activity.ajhxcgl.AjhxcDetaliActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity android:name=".activity.ajhxcgl.AjhxcglActivity" />
        <activity
            android:name=".activity.ajhxcgl.AxwaqgcglActivity"
            android:launchMode="singleTop" />

        <activity
            android:name=".activity.ajhxcgl.AxwaqgcglHmActivity"
            android:launchMode="singleTop" />

        <activity android:name=".activity.ajhxcgl.AyhpcglActivity" />
        <activity android:name=".activity.ajhxcgl.AsjtjfxActivity" />
        <activity android:name=".activity.ajhxcgl.AyhpcglDetaliActivity" />
        <activity android:name=".activity.sbxdjgl.SxcdjActivity" />
        <activity android:name=".activity.sbxdjgl.SqxgdlrActivity" />
        <activity android:name=".activity.xfbwxcgl.XxfxcActivity" />
        <activity android:name=".activity.xfbwxcgl.XbaxgActivity" />
        <activity
            android:name=".activity.sbxdjgl.SdjgzActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="text/plain" />
            </intent-filter>
        </activity>
        <activity android:name=".activity.sbxdjgl.SjhlxActivity" />
        <activity android:name=".activity.sbxdjgl.SdlbActivity" />
        <activity android:name=".activity.sbxdjgl.SzkdActivity" />
        <activity android:name=".activity.xfbwxcgl.Xbaxg2Activity" />
        <activity android:name=".activity.xfbwxcgl.XxfxcDetaliActivity" />
        <activity android:name=".activity.ydckgl.LlrActivity" />
        <activity android:name=".activity.PhotoActivity" />

        <meta-data
            android:name="design_width"
            android:value="768" />
        <meta-data
            android:name="design_height"
            android:value="1280" />

        <service
            android:name=".service.BackUploadService"
            android:enabled="true"
            android:exported="true" />

        <activity android:name=".activity.xfbwxcgl.XxzActivity" />

        <service
            android:name=".service.UploadService"
            android:exported="false" />

        <activity android:name=".activity.xfbwxcgl.XlyxcActivity" />
        <activity android:name=".activity.xfbwxcgl.Xlyxc2Activity" />
        <activity android:name=".activity.xfbwxcgl.XlyxcDetaliActivity" />
        <activity android:name=".activity.ajhxcgl.AjhXzActivity" />

        <service
            android:name=".service.PushService"
            android:exported="false" />
        <service
            android:name=".service.UploadDataService"
            android:exported="false" />
        <service
            android:name=".service.DeleteOverdueJHService"
            android:exported="false" />

        <activity android:name=".activity.ajhxcgl.YhpclrActivity" />
        <activity android:name=".activity.sbxdjgl.SQxgdlrfActivity" />
        <activity android:name=".activity.GdActivity" />
        <activity
            android:name=".activity.ydckgl.KccxActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />
        <activity android:name=".activity.ydckgl.TestPrintActivity" />
        <activity android:name=".activity.ydckgl.HjbqdyActivity" />
        <activity android:name=".activity.sbxdjgl.YulActivity" />
        <activity android:name=".activity.ydckgl.KcpdCxActivity" />
        <activity android:name=".activity.ajhxcgl.XwaqgcUploadActivity" />
        <activity
            android:name=".activity.ajhxcgl.XwaqgcxgActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.example.administrator.zhapp.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity android:name=".activity.ajhxcgl.AjhGzActivity" />
        <activity android:name=".activity.ydckgl.WztpScActivity" />
        <activity
            android:name=".activity.ydckgl.JstkActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />

        <activity
            android:name=".activity.ydckgl.ServiceTestActivity"
            android:windowSoftInputMode="stateHidden|adjustPan" />




        <activity android:name=".activity.ydckgl.CKPhotoActivity" />
        <activity android:name=".activity.ajhxcgl.GzqksblrActivity" />
        <activity android:name=".activity.ajhxcgl.GzqkckActivity" />
        <activity android:name=".activity.ajhxcgl.GzqksbActivity" />
        <activity android:name=".activity.ajhxcgl.GzqkgbActivity" />
        <activity android:name=".activity.ajhxcgl.XaqksblrActivity" />

        <activity android:name=".activity.ajhxcgl.xaqksbActivity" />

        <!-- //========================= 小米推送 ================================= -->
        <service
            android:name="com.xiaomi.push.service.XMPushService"
            android:enabled="true"
            android:process=":pushservice" />
        <service
            android:name="com.xiaomi.push.service.XMJobService"
            android:enabled="true"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":pushservice" />
        <!-- 注：此service必须在3.0.1版本以后（包括3.0.1版本）加入 -->
        <service
            android:name="com.xiaomi.mipush.sdk.PushMessageHandler"
            android:enabled="true"
            android:exported="true" />
        <service
            android:name="com.xiaomi.mipush.sdk.MessageHandleService"
            android:enabled="true" />
        <!-- 注：此service必须在2.2.5版本以后（包括2.2.5版本）加入 -->
        <receiver
            android:name="com.xiaomi.push.service.receivers.NetworkStatusReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.xiaomi.push.service.receivers.PingReceiver"
            android:exported="false"
            android:process=":pushservice">
            <intent-filter>
                <action android:name="com.xiaomi.push.PING_TIMER" />
            </intent-filter>
        </receiver>
        <receiver
            android:name=".service.MiPushMessageReceiver"
            android:exported="true">

            <!-- 这里com.xiaomi.mipushdemo.DemoMessageRreceiver改成app中定义的完整类名 -->
            <intent-filter>
                <action android:name="com.xiaomi.mipush.RECEIVE_MESSAGE" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.xiaomi.mipush.MESSAGE_ARRIVED" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.xiaomi.mipush.ERROR" />
            </intent-filter>
        </receiver>

        <activity android:name=".activity.ajhxcgl.GzqkrzckActivity" />

        <activity android:name=".activity.ajhxcgl.GzqkPushckActivity" />
        <activity android:name=".activity.ajhxcgl.YhpclrListActivity" />
        <activity android:name=".activity.sbxdjgl.NFCInfoActivity" />
        <activity android:name=".activity.xscbgl.XscbglActivity" />
        <activity android:name=".activity.xscbgl.XsBackLogActivity" />
        <activity android:name=".activity.xscbgl.XsHistoryActivity" />
        <activity android:name=".activity.xscbgl.XscbqyActivity" />
        <activity
            android:name=".activity.xscbgl.XscbqyWorkActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="landscape" />
        <activity android:name=".activity.xscbgl.XscbqyWorkXsActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzZxActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzBgActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzTjActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzWcActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzYqActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzQxActivity" />
        <activity android:name=".activity.xscbgl.XsDqgzBgDetailActivity"/>
    </application>

</manifest>